summaryrefslogtreecommitdiff
path: root/tools
diff options
context:
space:
mode:
authormsweet <msweet@a1ca3aef-8c08-0410-bb20-df032aa958be>2010-04-09 22:45:27 +0000
committermsweet <msweet@a1ca3aef-8c08-0410-bb20-df032aa958be>2010-04-09 22:45:27 +0000
commit39ff2fe72b9fc06ae7acc909584f87874f3a71b8 (patch)
tree15c098dbbce2d129a36a273dd777a179db37b8d3 /tools
parentaaf19ab07e5ba1f270e4ebbc321a1a0b76a4d25f (diff)
Merge changes from CUPS 1.5svn-r9098.
git-svn-id: svn+ssh://src.apple.com/svn/cups/easysw/current@2056 a1ca3aef-8c08-0410-bb20-df032aa958be
Diffstat (limited to 'tools')
-rw-r--r--tools/makeipptoolpkg83
-rwxr-xr-xtools/makesrcdist8
2 files changed, 87 insertions, 4 deletions
diff --git a/tools/makeipptoolpkg b/tools/makeipptoolpkg
new file mode 100644
index 000000000..62cd199f2
--- /dev/null
+++ b/tools/makeipptoolpkg
@@ -0,0 +1,83 @@
+#!/bin/sh
+#
+# "$Id$"
+#
+# Make an ipptool package for CUPS.
+#
+# Copyright 2007-2010 by Apple Inc.
+# Copyright 1997-2007 by Easy Software Products, all rights reserved.
+#
+# These coded instructions, statements, and computer programs are the
+# property of Apple Inc. and are protected by Federal copyright
+# law. Distribution and use rights are outlined in the file "LICENSE.txt"
+# which should have been included with this file. If this file is
+# file is missing or damaged, see the license at "http://www.cups.org/".
+#
+
+# Make sure we are running in the right directory...
+if test ! -f tools/makeipptoolpkg; then
+ echo "Run this script from the top-level CUPS source directory, e.g.:"
+ echo ""
+ echo " tools/makeipptoolpkg $*"
+ echo ""
+ exit 1
+fi
+
+if test $# = 0; then
+ echo Updating to get snapshot version...
+ svn up
+ rev=`svnversion . | sed -e '1,$s/[a-zA-Z]//g'`
+ fileversion="1.5svn-r$rev"
+ version=snapshot
+else
+ fileversion=$1
+ version=$1
+fi
+
+if (svn st | grep -qv '^\?'); then
+ echo Local changes remain:
+ svn st | grep -v '^\?'
+ exit 1
+fi
+
+echo Creating package directory...
+pkgdir="ipptool-$fileversion"
+
+test -d $pkgdir && rm -r $pkgdir
+mkdir $pkgdir || exit 1
+
+echo Copying package files
+cp IPPTOOL.txt LICENSE.txt $pkgdir
+cp doc/help/man-ipptool*.html $pkgdir
+cp test/create-printer-subscription.test $pkgdir
+cp test/get-completed-jobs.test test/get-jobs.test $pkgdir
+cp test/ipp-[12].*.test $pkgdir
+cp test/ipptool-static $pkgdir/ipptool
+cp test/testfile.* $pkgdir
+
+if test `uname` = Darwin; then
+ echo Creating disk image...
+ pkgfile="$pkgdir-macosx-universal.dmg"
+ test -f $pkgfile && rm $pkgfile
+ hdiutil create -srcfolder $pkgdir $pkgfile
+ #sudo chown `whoami` $pkgfile
+else
+ echo Creating archive...
+ pkgfile="$pkgdir-`uname`-`uname -m`.tar.gz"
+ tar czf $pkgfile $pkgdir || exit 1
+fi
+
+if test -x /usr/bin/md5sum; then
+ (md5sum $pkgfile | awk '{print $1, "'$fileversion' cups/'$version'/" $2}')
+elif test -x /sbin/md5; then
+ (md5 $pkgfile | awk '{print $4, "'$fileversion' cups/'$version'/" substr($2, 2, length($2) - 2)}')
+fi
+
+echo Removing temporary files...
+rm -r $pkgdir
+
+echo "Done!"
+
+#
+# End of "$Id$".
+#
diff --git a/tools/makesrcdist b/tools/makesrcdist
index 9642409a5..7977d4b64 100755
--- a/tools/makesrcdist
+++ b/tools/makesrcdist
@@ -18,10 +18,10 @@ if test $# = 0; then
echo Updating for snapshot...
svn up
rev=`svnversion . | sed -e '1,$s/[a-zA-Z]//g'`
- version="1.4svn"
+ version="1.5svn"
revision="-r$rev"
- fileversion="1.4svn-r$rev"
- fileurl="ftp://ftp.easysw.com/pub/cups/test/cups-$fileversion-source.tar."
+ fileversion="1.5svn-r$rev"
+ fileurl="http://ftp.easysw.com/pub/cups/test/cups-$fileversion-source.tar."
url="."
else
echo Creating tag for release...
@@ -29,7 +29,7 @@ else
version=$1
revision=""
fileversion=$1
- fileurl="ftp://ftp.easysw.com/pub/cups/$version/cups-$fileversion-source.tar."
+ fileurl="http://ftp.easysw.com/pub/cups/$version/cups-$fileversion-source.tar."
url="https://svn.easysw.com/public/cups/tags/release-$version"
svn copy https://svn.easysw.com/public/cups/trunk "$url" \